Skip to Content
REST APIRetry Policies API

Retry Policies API

Get all retry policies of the environment

PathMethodProtected
/v1/envs/{environment_id}/retry-policiesGETYes

Example Response JSON

{ "values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "name": "string", "revision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" } ] }

Create a new retry policy

PathMethodProtected
/v1/envs/{environment_id}/retry-policiesPOSTYes

Example Request JSON

{ "name": "string", "priority": 0, "predicateJson": "string", "policyJson": "string" }

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "name": "string", "revision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" }

Get retry policy by id.

PathMethodProtected
/v1/retry-policies/{retry_policy_id}GETYes

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "name": "string", "revision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" }

Delete retry policy

PathMethodProtected
/v1/retry-policies/{retry_policy_id}DELETEYes

Query Parameters

NameTypeRequiredDescription
current_revisionintegerYes-

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "name": "string", "revision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" }

Update retry policy

PathMethodProtected
/v1/retry-policies/{retry_policy_id}PATCHYes

Example Request JSON

{ "currentRevision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" }

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "name": "string", "revision": 0, "priority": 0, "predicateJson": "string", "policyJson": "string" }

Retry Policies API Errors

Status CodeDescriptionBody
400Invalid request, returning with a list of issues detected in the request{"code":"string","errors":["string"]}
401Unauthorized request{"code":"string","error":"string"}
403Forbidden Request{"code":"string","error":"string"}
404Entity not found{"code":"string","error":"string"}
409{"code":"string","error":"string"}
422Limits of the plan exceeded{"code":"string","error":"string"}
500Internal server error{"code":"string","error":"string"}
Last updated on